import request from '@/utils/http'
// 车源/求购列表
export function appPageList(data){
  return request({
    url: '/toc-user/car-app/appPageList',
    method:'POST',
    contentType: 'application/json',
    data
  })
}
// 我的发布列表
export function minePublishPageList(data){
  return request({
    url: '/toc-user/car-app/minePublishPageList',
    method:'POST',
    contentType: 'application/json',
    data
  })
}

// 审核不通过数量
export function auditFailCount (data){
  return request({
    url: '/toc-user/car-app/auditFailCount ',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
// 信息详情查询
export function carInfoDetail(data){
  return request({
    url: '/toc-user/car-app/carInfoDetail',
    method:'POST',
    contentType: 'application/json',
    data
  })
}
// 发布编辑信息
export function publishCarInfo(data){
  return request({
    url: '/toc-user/car-app/publishCarInfo',
    method:'POST',
    contentType: 'application/json',
    data
  })
}
// 用户信息反馈
export function userFeedback(data){
  return request({
    url: '/toc-user/car-app/userFeedback',
    method:'POST',
    contentType: 'application/json',
    data
  })
}
//擦亮
export function usedCarPolish(data){
  return request({
    url: `/toc-user/car-app/usedCarPolish/${data}`,
    method:'POST',
  })
}
//二手拖车信息下架
export function usedCarRemove(data){
  return request({
    url: '/toc-user/car-app/usedCarRemove',
    method:'POST',
    contentType: 'application/json',
    data
  })
}
//二手拖车信息重新上架
export function usedCarReShelf(data){
  return request({
    url: `/toc-user/car-app/usedCarReShelf/${data}`,
    method:'POST',
  })
}
//审批信息
export function auditCarInfo(data){
  return request({
    url: '/toc-user/car-admin/auditCarInfo',
    method:'POST',
    data
  })
}
// 保存信息记录
export function saveRecord(data){
  return request({
    url: '/toc-user/car-record/saveRecord',
    method:'POST',
    contentType: 'application/json',
    data
  })
}
// 审核不通过再次提交
export function auditCarInfoAgain(data){
  return request({
    url: '/toc-user/car-app/auditCarInfoAgain',
    method:'POST',
    contentType: 'application/json',
    data
  })
}


// 我的发布列表
export function getAddressForService(data){
  return request({
    url: '/base/gaodeMap/getPlaceByAddress',
    method:'GET',
    params: data,
  })
}
